List Gift Card Operators by Country
curl --request GET \
--url https://api.payvessel.com/vaas/api/v1/gift-cards/countries/{country_code}/operators \
--header 'api-key: <api-key>' \
--header 'api-secret: <api-key>'import requests
url = "https://api.payvessel.com/vaas/api/v1/gift-cards/countries/{country_code}/operators"
headers = {
"api-key": "<api-key>",
"api-secret": "<api-key>"
}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {'api-key': '<api-key>', 'api-secret': '<api-key>'}};
fetch('https://api.payvessel.com/vaas/api/v1/gift-cards/countries/{country_code}/operators', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"status": true,
"message": "<string>",
"data": [
{
"id": "<string>",
"name": "<string>",
"brand_id": "<string>",
"operator_type": {
"id": "<string>",
"name": "<string>"
},
"currency": "<string>",
"image": "<string>"
}
]
}{
"status": false,
"message": "Error message",
"data": {},
"timestamp": "2026-06-25T12:00:00+00:00"
}{
"detail": [
{
"loc": [
"<string>"
],
"msg": "<string>",
"type": "<string>"
}
]
}{
"status": false,
"message": "Error message",
"data": {},
"timestamp": "2026-06-25T12:00:00+00:00"
}{
"status": false,
"message": "Error message",
"data": {},
"timestamp": "2026-06-25T12:00:00+00:00"
}Gift Cards
List Operators
Fetch all gift card operators available in a specific country
GET
/
vaas
/
api
/
v1
/
gift-cards
/
countries
/
{country_code}
/
operators
List Gift Card Operators by Country
Authorizations
Your PayVessel business API key.
Your PayVessel business API secret.
Path Parameters
Maximum string length:
10⌘I
